org.eclipse.net4j.util.container

## Interface IElementProcessor

- All Known Implementing Classes:
    ChallengeNegotiatorConfigurer, ResponseNegotiatorInjector

      public interface IElementProcessor

  Processes elements of a `managed container` when they're added to the container.
  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `process(IManagedContainer container, java.lang.String productGroup, java.lang.String factoryType, java.lang.String description, java.lang.Object element)`

- - ### Method Detail

    - #### process

          java.lang.Object process(IManagedContainer container,
                                   java.lang.String productGroup,
                                   java.lang.String factoryType,
                                   java.lang.String description,
                                   java.lang.Object element)

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html